import React from 'react';
import { Route, Redirect } from 'react-router-dom';
import * as routes from './../../constants/routes';

export default ({ component: Component, user, tokenAuth, access, ...rest }) => (
    <Route
        {...rest}
        render={props => {
            {/* let checkedData;

            if (data) {
                checkedData = data;
            }
            else {
                const storagedUser = JSON.parse(localStorage.getItem(token));
                if (storagedUser) {
                    checkedData = storagedUser;
                    tokenAuth(storagedUser);
                }
                else {
                    checkedData = null;
                }
            } */}
            const checkedData = user && user.data ? user.data : null;

            console.log('\n\nHere goes the route:', '\nUser', user, '\n\n\n')

            if (access === 'public') {
                return <Component {...props} />
            }

            if ((access === 'user-only' || access === 'admin-only') && !checkedData) {
                return <Redirect to={routes.SIGN_IN} />
            }

            if (access === 'user-only' && checkedData) {
                return <Component {...props} />
            }

            if (access === 'admin-only' && checkedData.role) {
                return <Component {...props} />
            }

            return null // permission denied
        }}
    />
)