import * as actionTypes from './../../constants/auth';
import initialState from './../initialState';

export default function signInReducer(state = initialState.signIn, {payload, type, error}) {

    switch (type) { // payload.type -> type
        case actionTypes.SIGN_IN_REQUEST: {
            return {
                ...state,
                isFetching: true
            }
        }
        case actionTypes.SIGN_IN_REQUEST_SUCCESS: {
            const { user, token } = payload;

            return {
                ...state,
                isFetching: false,
                data: user,
                token
            }
        }
        case actionTypes.SIGN_IN_REQUEST_FAILURE: {

            return {
                ...state,
                isFetching: false,
                error
            }
        }
        default: {
            return state;
        }
    }
}