import * as actionTypes from './../../constants/auth';
import initialState from './../initialState';

export default function signInReducer(state = initialState.signUp, {type, payload, error}) {
    switch(type) {
        case actionTypes.SIGN_UP_REQUEST: {
            return {
                ...state,
                isFetching: true
            }
        }
        
        case actionTypes.SIGN_UP_REQUEST_SUCCESS: {
            return {
                ...state,
                isFetching: false,
                isSuccessful: true
            }
        }

        case actionTypes.SIGN_UP_REQUEST_FAILURE: {
            return {
                ...state,
                isFetching: false,
                isSuccessful: false,
                error
            }
        }

        default: {
            return state;
        }
    }
}