import React, { Suspense, lazy } from "react";
import { Switch, Route, withRouter } from "react-router-dom";
import { connect } from 'react-redux';

import ProtectedRoute from './components/common/protectedRoute';
import config from './configs/routerConfig';

import Header from './components/public/Header';
import Spinner from './components/common/spinner';

import { bindActionCreators } from "redux";

class Router extends React.Component {
    render() {
        const { user, tokenAuth } = this.props;
        // TODO: add footer
        return (
            <div className="app">
                <Header />
                <Suspense fallback={<Spinner />}>
                    <Switch>
                        {config.map(route =>
                            <ProtectedRoute
                                path={route.path}
                                component={route.component}
                                access={route.access}
                                user={user}
                                key={route}
                                exact
                            />
                        )}
                    </Switch>
                </Suspense>
            </div>
        )
    }
}

const mapStateToProps = state => ({
    user: state.signIn
})
// const mapDispatchToProps = dispatch => bindActionCreators({ tokenAuth }, dispatch);

export default withRouter(connect(mapStateToProps, null)(Router));
