import { put, call } from 'redux-saga/effects';
import axios from 'axios';

import { SIGN_IN_URL } from './../../constants/auth';
import storageKey from './../../utils/storageKey';
import { signInSuccess, signInFailure } from './../../actions/auth/signIn'

export default function* ({ payload }) {
    try {
        const config = {
            headers: {
                "Content-Type": "application/json"
            }
        }

        const user = yield call(() =>
            axios.post(SIGN_IN_URL, payload, config)
                .then(({ data }) => data)
        )

        //TODO: TOKEN
        // yield call(localStorage.setItem, storageKey, user.token);
        yield put(signInSuccess(user));
    }
    catch ({ message }) {
        yield put(signInFailure(message));
    }
}